#
# spec file for package sqlite3 (Version 3.6.23)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%if 0%{?!tcl_archdir:1}
# %tcl_archdir didn't exist before openSUSE 11.0
%define tcl_archdir %(echo 'puts [lindex $tcl_pkgPath 0]'|tclsh)
%endif
#
%if 0%{?suse_version} >= 1100
# The package naming scheme changed starting with openSUSE 11.0
%define newscheme 1
%else
%define newscheme 0
%endif

Name:           sqlite3
BuildRequires:  pkg-config readline-devel tcl-devel
%if %{?suse_version:1}%{?!suse_version:0}
BuildRequires:  update-desktop-files
%endif
License:        Public Domain, Freeware
Group:          Productivity/Databases/Servers
Summary:        Embeddable SQL Database Engine
Url:            http://www.sqlite.org/
Version:        3.6.23
Release:        2
# bug437293
%ifarch ppc64
Obsoletes:      sqlite-64bit
%endif
#
%if %newscheme
Requires:       libsqlite3-0 = %version
%endif
Provides:       sqlite = %version
Obsoletes:      sqlite < %version
Source0:        http://www.sqlite.org/sqlite-amalgamation-%version.tar.bz2
Source1:        sqlite-tcl.tar.bz2
Source3:        baselibs.conf
Patch0:         sqlite-tcl.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process.

SQLite is not a client library used to connect to a big database
server. SQLite is a server and the SQLite library reads and writes
directly to and from the database files on disk.

SQLite can be used via the sqlite command line tool or via any
application that supports the Qt database plug-ins.



Authors:
--------
    D. Richard Hipp <drh@hwaci.com>

%if %newscheme

%package -n libsqlite3-0
License:        Public Domain, Freeware
Summary:        Shared libraries for the Embeddable SQL Database Engine
Group:          Development/Libraries/C and C++

%description -n libsqlite3-0
This package contains the shared libraries for the Embeddable SQL
Database Engine.

SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process.

SQLite is not a client library used to connect to a big database
server. SQLite is a server and the SQLite library reads and writes
directly to and from the database files on disk.

SQLite can be used via the sqlite command line tool or via any
application that supports the Qt database plug-ins.



Authors:
--------
    D. Richard Hipp <drh@hwaci.com>

%endif

%package tcl
License:        Public Domain, Freeware
Group:          Development/Libraries/Tcl
Summary:        Tcl binding for SQLite
Provides:       sqlite-tcl = %version
Obsoletes:      sqlite-tcl < %version

%description tcl
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process.

This package contains an extension for the Tcl programming language to
access SQLite databases.



Authors:
--------
    D. Richard Hipp <drh@hwaci.com>

%package devel
License:        Public Domain, Freeware
Group:          Development/Libraries/C and C++
Summary:        Embeddable SQL Database Engine
Requires:       %name = %version glibc-devel
Provides:       sqlite-devel = %version
Obsoletes:      sqlite-devel < %version

%description devel
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process.

SQLite is not a client library used to connect to a big database
server; SQLite is the server. The SQLite library reads and writes
directly to and from the database files on disk.

SQLite can be used via the sqlite command-line tool or via any
application which supports the Qt database plug-ins.



Authors:
--------
    D. Richard Hipp <drh@hwaci.com>

%prep
%setup -q -a 1 -q -n sqlite-%version
%patch0

%build
%configure --disable-static
make
cd sqlite-tcl
autoconf
export CFLAGS="%optflags -fno-strict-aliasing"
%configure --with-tcl=%_libdir
make

%install
make install DESTDIR=%buildroot
rm %buildroot/%_libdir/*.la
install -d %buildroot%_mandir/man1/
cd sqlite-tcl
make install DESTDIR=%buildroot libdir=%tcl_archdir
cd ..

%clean
  rm -rf %buildroot
#
%if %newscheme

%post -n libsqlite3-0 -p /sbin/ldconfig

%postun -n libsqlite3-0 -p /sbin/ldconfig
%else

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
/usr/bin/sqlite3
%doc %_mandir/man1/*
#
%if %newscheme

%files -n libsqlite3-0
%defattr(-,root,root)
%endif
%_libdir/libsqlite*.so.*

%files tcl
%defattr(-,root,root)
%tcl_archdir
%doc %_mandir/mann/*

%files devel
%defattr(-,root,root)
/usr/include/*.h
%_libdir/libsqlite*.so
%_libdir/pkgconfig/sqlite3.pc

%changelog
